ST_BandNoDataValue
Prev | 12.5. Raster Band Accessors | Next

## Name

ST_BandNoDataValue — Returns the value in a given band that represents no data. If no band num 1 is assumed.

## Synopsis

`double precision ST_BandNoDataValue(`raster rast, integer bandnum=1`)`;

## Description

Returns the value that represents no data for the band

## Examples

    SELECT ST_BandNoDataValue(rast,1) As bnval1,
        ST_BandNoDataValue(rast,2) As bnval2, ST_BandNoDataValue(rast,3) As bnval3
    FROM dummy_rast
    WHERE rid = 2;

     bnval1 | bnval2 | bnval3
    --------+--------+--------
          0 |      0 |      0

## See Also

ST_NumBands

Prev | Up | Next
ST_BandMetaData | Home | ST_BandIsNoData